airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "holdenk (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AIRFLOW-3229) New install with python3.7 fail - Need to bump tenacity version
Date Tue, 23 Oct 2018 16:59:00 GMT

    [ https://issues.apache.org/jira/browse/AIRFLOW-3229?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16660966#comment-16660966
] 

holdenk commented on AIRFLOW-3229:
----------------------------------

Looking at the tags in [https://pypi.org/project/tenacity/] it doesn't seem like the new
version (5.8.0) officials supports 3.7 either. It's only being tested against in the master
branch so now might be a bit too early to upgrade.

> New install with python3.7 fail - Need to bump tenacity version
> ---------------------------------------------------------------
>
>                 Key: AIRFLOW-3229
>                 URL: https://issues.apache.org/jira/browse/AIRFLOW-3229
>             Project: Apache Airflow
>          Issue Type: Bug
>          Components: dependencies
>            Reporter: Qj Chv
>            Priority: Critical
>   Original Estimate: 24h
>  Remaining Estimate: 24h
>
> Current master requires tenacity==4.8 as dependency but [tenacity 4.8|https://github.com/jd/tenacity/tree/4.8.0/tenacity]
is not compatible with python 3.7 because of `async` keyword.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message